
Module Module1

    '//-------------------------------------------------//
    'WinApiの宣言
    '//-------------------------------------------------//
    Declare Function GetTickCount Lib "KERNEL32" () As Long
    '【機能】   : Windowsが起動してからの時間を取得する
    '【戻り値】 : 経過時間(単位：ﾐﾘ秒)
    'usb
    Declare Function CloseHandle Lib "KERNEL32" (ByVal hFile As Integer) As Integer
    Declare Function OpenUSBBulkFile Lib "HiUsbL.dll" (ByVal pipeNo As Integer, ByVal ProductID As Integer, ByVal SN As Integer) As Integer
    Declare Function ReadUSBBulk Lib "HiUsbL.dll" (ByVal hFile As Integer, ByRef lpBuffer As Byte, ByVal nNumberOfBytesToRead As Integer, ByRef lpNumberOfBytesRead As Integer) As Integer
    Declare Function WriteUSBBulk Lib "HiUsbL.dll" (ByVal hFile As Integer, ByVal lpBuffer As String, ByVal nNumberOfBytesToWrite As Integer, ByRef lpNumberOfBytesWritten As Integer) As Integer
    'usb

End Module
